public inbox for development@lists.ipfire.org
 help / color / mirror / Atom feed
From: Adolf Belka <adolf.belka@ipfire.org>
To: development@lists.ipfire.org
Subject: [PATCH v2 3/4] alsa: Fixes Bug#13087 - module removal & path correction for asound.state file
Date: Mon, 08 May 2023 19:07:22 +0200	[thread overview]
Message-ID: <20230508170723.3525876-3-adolf.belka@ipfire.org> (raw)
In-Reply-To: <20230508170723.3525876-1-adolf.belka@ipfire.org>

[-- Attachment #1: Type: text/plain, Size: 2455 bytes --]

- start_service added to install.sh and stop_service to uninstall.sh
   This ensures that the modules are loaded after install
- The /etc/asound.state file was touched by the install.sh cript but the alsactl store and
   restore commands have default location of /var/lib/alsa/ so the touch command created
   an asound.state file that was then not used subsequently. It also meant that the first
   start of alsa would fail as it would try and restore from /var/lib/alsa/asound.state
   but the file did not exist.
- This patch corrects the path for the touch command for asound.state
- The install.sh script also checks if /etc/asound.state, that was never used, exists and
   if it does removes it.
- Uninstalling alsa left the sound modules installed until a reboot was carried out.
   Uninstallation should unload the alsa kernel modules.
   This patch adds the modprobe -r commands to the uninstall.sh file to unload all the snd
   modules when alsa is uninstalled.
- make_backup and restore_backup commands added to ther install.sh and uninstall.sh scripts

Fixes: Bug#13087
Signed-off-by: Adolf Belka <adolf.belka(a)ipfire.org>
---
 src/paks/alsa/install.sh   | 8 +++++++-
 src/paks/alsa/uninstall.sh | 6 ++++++
 2 files changed, 13 insertions(+), 1 deletion(-)

diff --git a/src/paks/alsa/install.sh b/src/paks/alsa/install.sh
index 7b6b3dc80..ee0092195 100644
--- a/src/paks/alsa/install.sh
+++ b/src/paks/alsa/install.sh
@@ -24,7 +24,13 @@
 . /opt/pakfire/lib/functions.sh
 extract_files
 groupadd audio 2>/dev/null
-touch /etc/asound.state
+touch /var/lib/alsa/asound.state
+if [ -f /etc/asound.state ]; then
+	rm /etc/asound.state
+fi
+restore_backup ${NAME}
 ln -svf  ../init.d/alsa /etc/rc.d/rc3.d/S65alsa
 ln -svf  ../init.d/alsa /etc/rc.d/rc0.d/K35alsa
 ln -svf  ../init.d/alsa /etc/rc.d/rc6.d/K35alsa
+start_service ${NAME}
+exit 0
diff --git a/src/paks/alsa/uninstall.sh b/src/paks/alsa/uninstall.sh
index 62e27008d..ce88c294b 100644
--- a/src/paks/alsa/uninstall.sh
+++ b/src/paks/alsa/uninstall.sh
@@ -22,5 +22,11 @@
 ############################################################################
 #
 . /opt/pakfire/lib/functions.sh
+stop_service ${NAME}
+make_backup ${NAME}
+# unload alsa related modules
+modprobe -r snd_pcm_oss >/dev/null 2>&1 || failed=1
+modprobe -r snd_timer >/dev/null 2>&1 || failed=1
 remove_files
 rm -rf /etc/rc.d/rc*.d/*alsa
+exit 0
-- 
2.40.1


  parent reply	other threads:[~2023-05-08 17:07 UTC|newest]

Thread overview: 4+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2023-05-08 17:07 [PATCH v2 1/4] alsa: Fix bug#13087 remove services entry Adolf Belka
2023-05-08 17:07 ` [PATCH v2 2/4] alsa: Add in a backup include file for alsa specifying the asound.state file Adolf Belka
2023-05-08 17:07 ` Adolf Belka [this message]
2023-05-08 17:07 ` [PATCH v2 4/4] alsa: Uncomment the conf file names in the rootfile Adolf Belka

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=20230508170723.3525876-3-adolf.belka@ipfire.org \
    --to=adolf.belka@ipfire.org \
    --cc=development@lists.ipfire.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox